python - যবহ - পাইপ টিএলএস/এসএসএল প্রয়োজন এমন জায়গাগুলির সাথে কনফিগার করা হয়েছে তবে পাইথনের এসএসএল মডিউল পাওয়া যায় না




পাইথন প্রোগ্রামিং বই pdf download (9)

অ্যানাকোন্ডা প্রম্পট দিয়ে কেবল ইনস্টল করার চেষ্টা করুন

আমি পাইথন .6..6 ব্যবহার করছি, যখন আমি পিপি 3 ব্যবহার করে "মডিউলগুলি" ইনস্টল করার চেষ্টা করব তখন আমি নীচের উল্লিখিত সমস্যার মুখোমুখি হচ্ছি "পিপগুলি এমন জায়গাগুলির সাথে কনফিগার করা হয়েছে যার জন্য টিএলএস / এসএসএল প্রয়োজন, তবে পাইথনের এসএসএল মডিউল পাওয়া যায় না"

দয়া করে এই সমস্যাটি সমাধান করতে আমাকে সহায়তা করুন


অ্যানাকোন্ডা প্রম্পটে যান এবং টাইপ করুন (যদি আপনার ইঞ্জিনে পাইথন ৩.x ইনস্টল থাকে):

py -m pip install pymysql 

আমার একই সমস্যা ছিল এবং এটি আমার সমস্যার সমাধান করে। পরে এটি করার পরে আপনি পাওয়ার শেল বা অন্য কোনও প্রম্পটে পাইমিস্কেল আমদানি করতে পারেন।


উইন্ডোজ 10 এর জন্য যদি আপনি কেবলমাত্র সিমডিমিডিতে পিপ ব্যবহার করতে চান, কেবল অ্যানাকোন্ডা প্রম্পটে নয়। আপনার 3 পরিবেশের পাথ যুক্ত করতে হবে। এগুলির মতো: ডি: ac অ্যানাকোন্ডা 3; ডি: \ Anaconda3 \ স্ক্রিপ্ট; ডি: \ Anaconda3 \ লাইব্রেরী \ বিন

বেশিরভাগ লোকেরা কেবল ডি: ac অ্যানাকোন্ডা 3 \ স্ক্রিপ্টগুলি যুক্ত করে;


উইন্ডোজ 10 এর জন্য, উইন্ডোজ 7 যদি পিপ ইনস্টল সিএমডি প্রম্পটে কাজ না করে তবে অ্যানাকোন্ডা প্রম্পট ব্যবহার করে এটি চালান - এটি কাজ করে।

https://github.com/pypa/virtualenv/issues/1139


ওপেনসুএসের জন্য একই পদ্ধতিতে, তবে উপরে উল্লিখিত প্যাকেজগুলির কয়েকটি পরিবর্তন:

zypper install zlib-devel libopenssl-devel ncurses-devel sqlite3-devel readline-devel tk-devel gdbm-devel libpcap-devel xz-devel

তারপরে cd পাইথনের সূত্রগুলি dir এবং

make
make install

অথবা

make
make altinstall

এবং সম্ভবত

ln -s /usr/local/lib64/python3.6/lib-dynload/ /usr/local/lib/python3.6/lib-dynload

ওপেনসুএস ব্যবহারকারীদের জন্য মৃত্যুদন্ড কার্যকর করা উচিত। পাইথন ৩.7 ইনস্টল ওপেনসুএস লিপ ৪২.৩ এ কাজ করছে না দেখুন


ক্রোমে জুপিটার চালু করতে অ্যানাকোন্ডা নেভিগেটর ব্যবহার করুন।


ডেবিয়ান ব্যবহারকারীদের জন্য, নিম্নলিখিতগুলি ব্যবহার করতে পারে:

sudo -s

apt install libssl-dev libncurses5-dev libsqlite3-dev libreadline-dev libtk8.5 libgdm-dev libdb4o-cil-dev libpcap-dev

তারপরে পাইথন ৩ এক্স এক্স লাইব্রেরির উত্স কোড সহ ফোল্ডারে সিডি করুন এবং রান করুন:

./configure
make
make install

ভবিষ্যতে ওরাকল লিনাক্স ব্যবহারকারীরা এটি সমাধান করার চেষ্টা করছেন, নীচে আমার পক্ষে কাজ করেছে। প্রথমে অনুপস্থিত libs ইনস্টল করুন:

yum install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel 
readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel

তারপরে আপনার পাইথন 3. এক্স লাইব্রেরিতে সিডি করুন এবং রান করুন:

make
make install 

সেন্টোস 7 এর জন্য:

ওপেনসেল ইনস্টল করুন:

 sudo yum install openssl-devel 

এখন পাইথন ডিরেক্টরিটি পাই আমরা পাইথন টার বের করলাম,

কমান্ডের নীচে চালান

 sudo ./configure sudo make sudo make install 

এটি সেন্টোগুলিতে সমস্যার সমাধান করবে





pexpect